
import java.io.BufferedReader;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.IOException;
import java.util.logging.Level;
import java.util.logging.Logger;

public class HTML04DateiLesenInArray {

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        String filename = "daten.txt";
        try {
            FileReader fr = new FileReader(filename);
            BufferedReader br = new BufferedReader(fr);
            String zeile;
            
            // Anzahl Zeilen zählen
            int anzahlZeilen=0;
            zeile = br.readLine();
            while (zeile!=null) {
                anzahlZeilen++;
                zeile = br.readLine();
            }
            // Array definieren
            String[] datei = new String[anzahlZeilen];
            
            // Array einlesen
            fr = new FileReader(filename);
            br = new BufferedReader(fr);
            int i=0;
            zeile = br.readLine();            
            while (zeile!=null) {
              //System.out.println("Zeile:"+zeile);
              datei[i]=zeile;
              i++;
              zeile = br.readLine();
            }  
            
            //Array ausgeben
            for (int j = 0; j < datei.length; j++) {
                System.out.println("datei["+j+"]:"+datei[j]);
            }
        } catch (FileNotFoundException ex) {
             System.out.println("Fehler:"+ex);
        } catch (IOException ex) {
            System.out.println("Fehler:"+ex);
        }
    }
    
}
